using System;
using System.IO;

internal sealed class Delegate574 : MulticastDelegate
{
	public extern void Invoke(object object_0, FileSystemEventHandler fileSystemEventHandler_0);

	public static void smethod_0(object object_0, FileSystemEventHandler fileSystemEventHandler_0, Delegate574 delegate574_1)
	{
		delegate574_1(object_0, fileSystemEventHandler_0);
	}

	public extern Delegate574(object object_0, IntPtr intptr_0);

	static Delegate574()
	{
		Class10.smethod_13(typeof(Delegate574).TypeHandle);
	}

	internal static Delegate574 delegate574_0;
}
